clear all
set more off
set obs 2
cd "/Users/yasenov/Desktop/replication"

local window 4

gen date = 20393 in 1
replace date = 21243 in 2
tsset date
tsfill
format date %td
gen n_date = date
gen week = wofd(date)

list in 1/10

******************
******************
******************
collapse n, by(week)
drop n

gen event1 = .
replace event1 = 0 if week >= 2912- `window' - 1 & week <= 2912 - 1
replace event1 = 1 if week >= 2912 & week <= 2912 + `window'
label var event1 "False Rumors"
tab event1, m

gen event2 = .
replace event2 = 0 if week >= 2956- `window' - 1 & week <= 2956 - 1
replace event2 = 1 if week >= 2956 & week <= 2956 + `window'
label var event2 "Presidential Election"
tab event2, m

gen event3 = .
replace event3 = 0 if week >= 2966 - `window' - 1 & week <= 2966 - 1
replace event3 = 1 if week >= 2966 & week <= 2966 + `window'
label var event3 "Inaguration/ICE at Good Samaritan/Executive Order/ICE Rumors"
tab event3, m

gen event4 = .
replace event4 = 0 if week >= 2993 - `window' - 1 & week <= 2993 - 1
replace event4 = 1 if week >= 2993 & week <= 2993 + `window'
label var event4 "ICE at Hayward - 2 Arrest/ICE at West Oakland"
tab event4, m

gen event5 = .
replace event5 = 0 if week >= 3002 - `window' - 1 & week <= 3002 - 1
replace event5 = 1 if week >= 3002 & week <= 3002 + `window'
label var event5 "Multiple Ice Raids in Bay Area - 27 Arrested"
tab event5, m

gen event6 = .
replace event6 = 0 if week >= 3017 - `window' - 1 & week <= 3017 - 1
replace event6 = 1 if week >= 3017 & week <= 3017 + `window'
label var event6 "Multiple Ice Raids in Bay Area, Northern California - No Arrested"
tab event6, m


save "data/events.dta", replace
