clear all
set more off
cd "/Users/yasenov/Desktop"

************
************
************
import excel "results/regression_results.xlsx", sheet("Sheet1") firstrow clear
gsort + H - n
replace n = _n
keep if H == 1
twoway (rcap min max n, horizontal) ///
	(scatter n est), ///
	xline(0) ///
	legend(off) ///
	xlabel(-1(.4)1) ///
	xtitle("Difference-in-Differences") ///
	ylabel(1 "Event #6" 2 "Event #5" 3 "Event #4" 4 "Event #3" 5 "Event #2" 6 "Event #1" 7 "Pooled") ///
	ytitle("Log # of Visits") ///
	subtitle("Family Clinic") ///
	name(one, replace)

import excel "results/regression_results.xlsx", sheet("Sheet1") firstrow clear
gsort + H - n
replace n = _n
keep if H == 2
twoway (rcap min max n, horizontal) ///
	(scatter n est), ///
	xline(0) ///
	legend(off) ///
	xlabel(-1(.4)1) ///
	xtitle("Difference-in-Differences") ///
	ylabel(8 "Event #6" 9 "Event #5" 10 "Event #4" 11 "Event #3" 12 "Event #2" 13 "Event #1" 14 "Pooled") ///
	ytitle("Log # of Visits") ///
	subtitle("Urgent Care") ///
	name(two, replace)

import excel "results/regression_results.xlsx", sheet("Sheet1") firstrow clear
gsort + H - n
replace n = _n
keep if H == 3
twoway (rcap min max n, horizontal) ///
	(scatter n est), ///
	xline(0) ///
	legend(off) ///
	xlabel(-1(.4)1) ///
	xtitle("Difference-in-Differences") ///
	ylabel(15 "Event #6" 16 "Event #5" 17 "Event #4" 18 "Event #3" 19 "Event #2" 20 "Event #1" 21 "Pooled") ///
	ytitle("Log # of Visits") ///
	subtitle("Emergency Department") ///
	name(three, replace)	
	

import excel "results/regression_results.xlsx", sheet("Sheet1") firstrow clear
gsort + H - n
replace n = _n
keep if H == 4
twoway (rcap min max n, horizontal) ///
	(scatter n est), ///
	xline(0) ///
	legend(off) ///
	xlabel(-1(.4)1) ///
	xtitle("Difference-in-Differences") ///
	ylabel(22 "Event #6" 23 "Event #5" 24 "Event #4" 25 "Event #3" 26 "Event #2" 27 "Event #1" 28 "Pooled") ///
	ytitle("Log # of Visits") ///
	subtitle("Annual Check-ups") ///
	name(four, replace)	
		
graph combine one four three two , imargin(vsmall)	
	
	
graph export "/results/fig_diff_in_dif.png", replace		
graph export "/results/fig_diff_in_dif.pdf", replace		

**************************
*** ADDITIONAL ANALYSIS **
**************************

* ACS
import excel "results/regression_results.xlsx", sheet("Sheet1") firstrow clear
gsort + H - n
replace n = _n
keep if H == 5
twoway (rcap min max n, horizontal) ///
	(scatter n est), ///
	xline(0) ///
	legend(off) ///
	xlabel(-1(.4)1) ///
	xtitle("Difference-in-Differences") ///
	ylabel(29 "Event #6" 30 "Event #5" 31 "Event #4" 32 "Event #3" 33 "Event #2" 34 "Event #1" 35 "Pooled") ///
	ytitle("Log # of Visits") ///
	name(onex, replace)
graph export "../results/fig_diff_in_dif_acs.png", replace		
graph export "../results/fig_diff_in_dif_acs.pdf", replace	

* KIDS	
import excel "results/regression_results.xlsx", sheet("Sheet1") firstrow clear
gsort + H - n
replace n = _n
keep if H == 6
twoway (rcap min max n, horizontal) ///
	(scatter n est), ///
	xline(0) ///
	legend(off) ///
	xlabel(-1(.4)1) ///
	xtitle("Difference-in-Differences") ///
	ylabel(36 "Event #6" 37 "Event #5" 38 "Event #4" 39 "Event #3" 40 "Event #2" 41 "Event #1" 42 "Pooled") ///
	ytitle("Log # of Visits") ///
	name(twox, replace)	
	
*graph combine onex twox, imargin(vsmall)	
graph export "/results/fig_diff_in_dif_kids.png", replace		
graph export "/results/fig_diff_in_dif_kids.pdf", replace		
