*****************
*****************
*****************

global folder "/Users/yasenov/Desktop/ucsf_new_analysis/"
use "$folder/PtDemo_final.dta", clear

merge 1:m ptid using "$folder/encFC_final.dta", gen(m1) keep(1 3)
assert m1 == 3
drop m1

keep if male == 1

drop group
order ptid date week

/* create groups var */
gen group = 0
replace group = 1 if medical == 1  // Medi-Cal
replace group = 2 if hsf == 1		// HSF

label define grouplbl 1 "MediCal" 2 "HSF" 0 "Other"
label values group grouplbl
tab group
/*			*/

/* create an identifier for a new patient */
/* create indicator for first week appearing */
sort ptid date
by ptid: gen visitnumber = _n
gen newpatient = 1 if visitnumber == 1
label var newpatient "# new male patients"
/*		*/

/* create an identifier for a unique patient */
bysort week ptid: gen v = _n
gen uniquepatient = 1 if v == 1
label var uniquepatient "# unique male patients"

/* collapse */
keep if inlist(group, 1, 2)
collapse (sum) newpatient uniquepatient, by(week group)

label var newpatient "# new male patients"
label var uniquepatient "# unique male patients"

sum
tab group

*****************
*****************

twoway (line newpatient week if group == 1) ///
	(line newpatient week if group == 2), ///
	subtitle("Panel A: New Patients (Male)") ///
	ytitle("Number of Patients") ///
	legend(label(1 "Medi-Cal") label(2 "HSF") ring(0) pos(2) row(1)) ///
	xline(2956) ///
	ylabel(0(500)1500) ///
	xtitle("") ///
	name(qone, replace)

twoway (line unique week if group == 1) ///
	(line unique week if group == 2), ///
	subtitle("Panel B: Unique Patients (Male)") ///
	ytitle("Number of Patients") ///
	xtitle("") ///
	legend(label(1 "Medi-Cal") label(2 "HSF") ring(0) pos(2) row(1)) ///
	xline(2956) ///
	name(qtwo, replace)

graph combine qone qtwo, imargin(vsmall)
grc1leg qone qtwo, imargin(vsmall) legendfrom(qone)
